package com.jjt.biz.service;

import com.jjt.biz.domain.AlarmRecord;

import java.util.List;
import java.util.Map;

/**
 * 告警记录Service接口
 *
 * @author jjt
 * @date 2024-08-08
 */
public interface IAlarmRecordService {
    /**
     * 查询告警记录
     *
     * @param alarmId 告警记录主键
     * @return 告警记录
     */
    public AlarmRecord selectAlarmRecordByAlarmId(Long alarmId);

    /**
     * 查询告警记录列表
     *
     * @param alarmRecord 告警记录
     * @return 告警记录集合
     */
    public List<AlarmRecord> selectAlarmRecordList(AlarmRecord alarmRecord);

    /**
     * 新增告警记录
     *
     * @param alarmRecord 告警记录
     * @return 结果
     */
    public int insertAlarmRecord(AlarmRecord alarmRecord);

    /**
     * 修改告警记录
     *
     * @param alarmRecord 告警记录
     * @return 结果
     */
    public int updateAlarmRecord(AlarmRecord alarmRecord);

    /**
     * 批量删除告警记录
     *
     * @param alarmIds 需要删除的告警记录主键集合
     * @return 结果
     */
    public int deleteAlarmRecordByAlarmIds(Long[] alarmIds);

    /**
     * 删除告警记录信息
     *
     * @param alarmId 告警记录主键
     * @return 结果
     */
    public int deleteAlarmRecordByAlarmId(Long alarmId);

    /**
     * 告警等级排行
     * @param alarmRecord 对象
     * @return 结果
     */
    List<Map<String, Object>> levelSort(AlarmRecord alarmRecord);
}
