package com.jjt.hl.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jjt.hl.domain.HlScore;

/**
 * 健康度分数记录Mapper接口
 * 
 * @author jjt
 * @date 2024-09-05
 */
public interface HlScoreMapper extends BaseMapper<HlScore>
{
    /**
     * 查询健康度分数记录
     * 
     * @param hlScoreId 健康度分数记录主键
     * @return 健康度分数记录
     */
    public HlScore selectHlScoreByHlScoreId(Long hlScoreId);

    /**
     * 查询健康度分数记录列表
     * 
     * @param hlScore 健康度分数记录
     * @return 健康度分数记录集合
     */
    public List<HlScore> selectHlScoreList(HlScore hlScore);

    /**
     * 新增健康度分数记录
     * 
     * @param hlScore 健康度分数记录
     * @return 结果
     */
    public int insertHlScore(HlScore hlScore);

    /**
     * 修改健康度分数记录
     * 
     * @param hlScore 健康度分数记录
     * @return 结果
     */
    public int updateHlScore(HlScore hlScore);

    /**
     * 删除健康度分数记录
     * 
     * @param hlScoreId 健康度分数记录主键
     * @return 结果
     */
    public int deleteHlScoreByHlScoreId(Long hlScoreId);

    /**
     * 批量删除健康度分数记录
     * 
     * @param hlScoreIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHlScoreByHlScoreIds(Long[] hlScoreIds);
}
