package com.jjt.task;

import com.jjt.biz.domain.BizObj;
import com.jjt.biz.service.IBizObjMetricsService;
import com.jjt.biz.service.IBizObjService;
import com.jjt.common.utils.StringUtils;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * 定时任务调度测试
 *
 * @author jjt
 */
@Component("alarmTask")
public class AlarmTask {
    @Resource
    private IBizObjMetricsService metricsService;
    @Resource
    private IBizObjService objService;

    public void metrics() {
        objService.selectBizObjList(new BizObj()).forEach(obj -> {
            metricsService.pinpointMetricsValue(obj.getObjId());
            metricsService.prometheusMetricsValue(obj.getObjId());
        });
    }
    public void test() {
        metricsService.pinpointMetricsValue(2L);
        metricsService.prometheusMetricsValue(15L);
    }

    public void ryMultipleParams(String s, Boolean b, Long l, Double d, Integer i) {
        System.out.println(StringUtils.format("执行多参方法： 字符串类型{}，布尔类型{}，长整型{}，浮点型{}，整形{}", s, b, l, d, i));
    }

    public void ryParams(String params) {
        System.out.println("执行有参方法：" + params);
    }

    public void ryNoParams() {
        System.out.println("执行无参方法");
    }
}
